process.env.NODE_TLS_REJECT_UNAUTHORIZED = '0'
process.env.SUPPRESS_NO_CONFIG_WARNING = true

const { cloneDeep } = require('lodash')
const fixturesService = require('pubsweet-component-fixture-service')

const { fixtures } = fixturesService
const { Fragment } = require('../Helper')

describe('Fragment helper', () => {
  let testFixtures = {}
  beforeEach(() => {
    testFixtures = cloneDeep(fixtures)
  })

  it('hasReviewReport - should return true if the fragment has a review report', () => {
    const { fragment } = testFixtures.fragments
    const fragmentHelper = new Fragment({ fragment })

    expect(fragmentHelper.hasReviewReport()).toBeTruthy()
  })
  it('hasReviewReport - should return false if the fragment does not have a review report', () => {
    const { fragment } = testFixtures.fragments
    fragment.recommendations = []
    const fragmentHelper = new Fragment({ fragment })

    expect(fragmentHelper.hasReviewReport()).toBeFalsy()
  })
})
